apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ app_name }}
  namespace: {{ app_namespace }}
  labels:
    app: {{ app_name }}
spec:
  revisionHistoryLimit: 4
  replicas: 1
  selector:
    matchLabels:
      app: {{ app_name }}
  template:
    metadata:
      labels:
        app: {{ app_name }}
    spec:
      containers:
      - name: app
        image: {{ app_image }}
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
          name: app-port
      imagePullSecrets:
      - name: {{ app_gitlab_registry_secret_name }}
